Bug 175110 - CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
Summary: CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,reported=20051103,pub...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-06 18:01 UTC by Josh Bressers
Modified: 2013-07-02 23:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 13:42:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-12-06 18:01:28 UTC
+++ This bug was initially created as a clone of Bug #175109 +++

+++ This bug was initially created as a clone of Bug #175089 +++

Derek Noonburg sent us a patch for xpdf to correct a number of security issues.
 This is due to be public 20051201.

An attacker could construct a carefully crafted PDF file that could cause Xpdf
to crash or possibly execute arbitrary code when opened. 

-- Additional comment from mjc@redhat.com on 2005-11-22 03:42 EST --
Created an attachment (id=121332)
Proposed patch from Derek


This issue also affects FC3

Comment 1 Josh Bressers 2005-12-06 18:57:14 UTC
Attachment 121940 [details] contains a more complete patch which was taken from our recent
xpdf update.

Comment 2 Jindrich Novy 2005-12-07 12:15:48 UTC
Applied in FC3 and FC4. Packages are now built.

Comment 3 Fedora Update System 2005-12-07 15:44:16 UTC
From User-Agent: XML-RPC

tetex-3.0-7.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Josh Bressers 2005-12-14 15:30:42 UTC
The patches for these issues are in attachment 122226 [details] and attachment 122227 [details].

The sooner we can have new packages rolled the better as the Christmas holiday
is quickly approaching.

Comment 5 Josh Bressers 2005-12-14 16:13:45 UTC
There aren't currently any reproducers for these issues.

Please note that these issues affect xpdf, kdegraphics, cups, gpdf, tetex and
poppler.  Some cooperation will probably make things easier.

Comment 6 Jindrich Novy 2005-12-15 09:59:37 UTC
Josh, does the patch from Dirk Mueller also belong under the CVE-2005-3193
issues or is it something else?

Comment 7 Josh Bressers 2005-12-15 11:48:29 UTC
It's part of the CVE-2005-3191, CVE-2005-3192, and CVE-2005-3193 fixes.  The
initial patch from upstream left a lot of room for broken pdf files to cause damage.


Note You need to log in before you can comment on or make changes to this bug.